1. MiniPOS Invoice API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
        POST
      • New Sales Invoice - Basic
        POST
      • New Refund Invoice - Basic
        POST
      • New Sales Invoice - Advanced
        POST
      • New Sales Invoice + Slip after payment
        POST
      • New Non fiscal slip
        POST
      • Get Invoice List
        GET
      • Get Invoice by ID
        GET
  • CRMserver
    • MiniPOS Products API
      • GET Products List
      • GET Product by ID
      • DELETE Product by ID
      • Change Product by ID
      • Create new Product Basic
      • Create new Product Advanced
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Invoice API

New Non fiscal slip

POST
/api/invoice/new

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/invoice/new' \
--header 'Content-Type: application/json' \
--data-raw '{ 
    "invoice_no": null, 
    "mode": 3, 
    "pos_id": null, 
    "is_auto_open": true, 
    "info": { 
        "slip": [
            { 
                "kind": "escpos", 
                "content": ["1D2122", "1D4201", "1D4201"] 
            }, 
            { 
                "kind": "text", 
                "content": "                  COUPON                  " 
            }, 
            { 
                "kind": "escpos", 
                "content": ["1B40"] 
            },
            { 
                "kind": "text", 
                "content": "The text line should not be wider than the" 
            }, 
            { 
                "kind": "text", 
                "content": "maximum character width of the printer" 
            }, 
            { 
                "kind": "barcode", 
                "code": "1234567890123", 
                "type": 2 
            } 
        ] 
    } 
}'
Response Response Example
{
    "id": 49,
    "mode": 3,
    "station": null,
    "invoice_no": "20260217_160847",
    "discount": 0,
    "discount_type": null,
    "created_at": "2026-02-17T16:08:47.024242",
    "updated_at": "2026-02-17T16:08:47.024242",
    "printed_at": null,
    "print_station": null,
    "print_pos_id": null,
    "print_chassis_id": null,
    "check_num": null,
    "total_sum": 0,
    "changed_sum": 0,
    "status": 10,
    "comment": null,
    "keep_drawer_closed": false,
    "print_paper_receipt": null,
    "is_auto_open": true,
    "report": null,
    "common_id": null,
    "synchronized_at": null,
    "info": {
        "slip": [
            {
                "kind": "escpos",
                "content": [
                    "1D2122",
                    "1D4201",
                    "1D4201"
                ]
            },
            {
                "kind": "text",
                "content": "                  COUPON                  "
            },
            {
                "kind": "escpos",
                "content": [
                    "1B40"
                ]
            },
            {
                "kind": "text",
                "content": "The text line should not be wider than the"
            },
            {
                "kind": "text",
                "content": "maximum character width of the printer"
            },
            {
                "kind": "barcode",
                "code": "1234567890123",
                "type": 2
            }
        ]
    },
    "status_name": "New",
    "station_group": "1",
    "rows": [],
    "payments": [],
    "receipts": []
}
Modified at 2026-04-15 12:52:15
Previous
New Sales Invoice + Slip after payment
Next
Get Invoice List
Built with